[postgis-tickets] [SCM] PostGIS branch master updated. 3.3.0rc2-695-g0dae51d26

git at osgeo.org git at osgeo.org
Wed Mar 29 16:25:03 PDT 2023


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  0dae51d2620920f2a21bcb5feaa59b020db83a38 (commit)
      from  7d7c403069dd7bb8402d99d2c3a7df6106eafbef (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 0dae51d2620920f2a21bcb5feaa59b020db83a38
Author: Regina Obe <lr at pcorp.us>
Date:   Wed Mar 29 19:21:14 2023 -0400

    Turn off unpackaged -> packaged tests as well
    References #5341 try to quiet debbie's failures

diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index c756b0e5d..0d945d888 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -216,32 +216,34 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
   done
 
   # Check unpackaged->extension upgrades
-  for majmin in `'ls' -d ${CTBDIR}/postgis-* | sed 's/.*postgis-//'`; do
-    UPGRADE_PATH="unpackaged${majmin}--${to_version_param}"
-    test_label="${EXT} extension upgrade ${UPGRADE_PATH}"
-    if expr $to_version_param : ':auto' >/dev/null; then
-      test_label="${test_label} ($to_version)"
-    fi
-    compatible_upgrade "${test_label}" ${majmin} ${to_version} || continue
-    path=$( psql -XAtc "
-        SELECT path
-        FROM pg_catalog.pg_extension_update_paths('${EXT}')
-        WHERE source = 'unpackaged'
-        AND target = '${to_version}'
-    " ) || exit 1
-    if test -z "${path}"; then
-      echo "SKIP: ${test_label} (no upgrade path from unpackaged to ${to_version} known by postgresql)"
-      continue
-    fi
-    echo "Testing ${test_label}"
-    RUNTESTFLAGS="-v --extension --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
-    make -C ${REGDIR} check && {
-      echo "PASS: ${test_label}"
-    } || {
-      echo "FAIL: ${test_label}"
-      failed
-    }
-  done
+  if test $CHECK_UNPACKAGED != 0; then
+    for majmin in `'ls' -d ${CTBDIR}/postgis-* | sed 's/.*postgis-//'`; do
+      UPGRADE_PATH="unpackaged${majmin}--${to_version_param}"
+      test_label="${EXT} extension upgrade ${UPGRADE_PATH}"
+      if expr $to_version_param : ':auto' >/dev/null; then
+        test_label="${test_label} ($to_version)"
+      fi
+      compatible_upgrade "${test_label}" ${majmin} ${to_version} || continue
+      path=$( psql -XAtc "
+          SELECT path
+          FROM pg_catalog.pg_extension_update_paths('${EXT}')
+          WHERE source = 'unpackaged'
+          AND target = '${to_version}'
+      " ) || exit 1
+      if test -z "${path}"; then
+        echo "SKIP: ${test_label} (no upgrade path from unpackaged to ${to_version} known by postgresql)"
+        continue
+      fi
+      echo "Testing ${test_label}"
+      RUNTESTFLAGS="-v --extension --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
+      make -C ${REGDIR} check && {
+        echo "PASS: ${test_label}"
+      } || {
+        echo "FAIL: ${test_label}"
+        failed
+      }
+    done
+  fi
 
   # Check unpackaged->unpackaged upgrades
   if test $CHECK_UNPACKAGED != 0; then

-----------------------------------------------------------------------

Summary of changes:
 utils/check_all_upgrades.sh | 54 +++++++++++++++++++++++----------------------
 1 file changed, 28 insertions(+), 26 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list